<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="LMN.Web.wap.cart" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="LMN.Common" %>


<%@ Import namespace="LMN.Model" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by LMN Template Engine at 2012/3/1 20:38:22.
		本页面代码由LMN模板引擎生成于 2012/3/1 20:38:22. 
	*/

	base.OnInit(e);

	templateBuilder.Capacity = 220000;
	templateBuilder.Append("<?xml version=\"1.0\" encoding=\"utf-8\" ?><!DOCTYPE html PUBLIC \"-//WAPFORUM//DTD XHTML Mobile 1.0//EN\" \"http://www.wapforum.org/DTD/xhtml-mobile10.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n<meta content=\"");
templateBuilder.Append(Config.SiteName);
templateBuilder.Append(" - 网上购物,好信誉,好服务,好产品,低价格,让你全面安心享受网上购物乐趣！\" name=\"description\" />\r\n<meta content=\"和网,商城,手机,笔记本,保健品\" name=\"keywords\" />\r\n<link type=\"text/css\" rel=\"stylesheet\" href=\"/themes/wap/style.css\" />\r\n<title>购物车</title>\r\n</head>\r\n<body>\r\n");
	templateBuilder.Append("<div class=\"adtop\">\r\n    <a href=\"/index.aspx\">首页</a> ");
if (session.user==null)
{

	templateBuilder.Append("<a href=\"/login.aspx\">登录</a> <a href=\"/register.aspx\">注册</a>");
}
else
{

	templateBuilder.Append("<a href=\"user.aspx\">我的和网</a>");
}//end if

	templateBuilder.Append(" <a href=\"/cart.aspx\">购物车(<span class=\"red\">");
templateBuilder.Append(session.cart.num);
templateBuilder.Append("</span>)</a>\r\n</div>\r\n");

	templateBuilder.Append("\r\n<form method=\"post\" action=\"/order.aspx\">\r\n    <p>\r\n        <a href=\"/index.aspx\">返回继续选购&gt;&gt;</a><br />\r\n        您己选购的商品:</p>\r\n    <p>\r\n        ");
if (session.cart.items.Count==0)
{

	templateBuilder.Append("\r\n        当前购物车没有商品,您可以去<a href=\"/index.aspx\">重新挑选</a><br />\r\n        -----------\r\n        ");
}
else
{


if (session.cart.items != null){ // !null
var item__loop__id=0;
foreach(cart_item item in session.cart.items)
{
item__loop__id++;

	templateBuilder.Append("\r\n        <img src=\"");
templateBuilder.Append(item.cover);
templateBuilder.Append("\" alt=\"img\" />.<a href=\"/detail.aspx?id=");
templateBuilder.Append(item.goods_id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">");
templateBuilder.Append(item.name);
if (item.color!="")
{

	templateBuilder.Append("(");
templateBuilder.Append(item.color);
if (item.size!="")
{

	templateBuilder.Append("、");
templateBuilder.Append(item.size);
}//end if

	templateBuilder.Append(")");
}//end if

	templateBuilder.Append("</a><br />\r\n        单价:");
templateBuilder.Append(item.price);
templateBuilder.Append("元<br />\r\n        商品数量：");
templateBuilder.Append(item.num);
templateBuilder.Append(" <a href=\"cart.aspx?action=addone&amp;id=");
templateBuilder.Append(item.goods_id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">加1</a>| <a href=\"cart.aspx?action=decrem&amp;id=");
templateBuilder.Append(item.goods_id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">减1</a>| <a href=\"/cart.aspx?action=delete&amp;id=");
templateBuilder.Append(item.goods_id);
templateBuilder.Append("&amp;item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">不要了</a><br />\r\n        ");
}//end loop
}//end if

	templateBuilder.Append("\r\n        -----------<br />\r\n        <a href=\"/index.aspx\">保留以上商品,继续挑选</a><br />\r\n        ==订单金额==<br />\r\n        订单金额：");
templateBuilder.Append(session.cart.amount);
templateBuilder.Append("元<br />\r\n        运费:￥");
templateBuilder.Append(session.cart.freight);
templateBuilder.Append(", 手续费:￥");
templateBuilder.Append(session.cart.fees);
templateBuilder.Append("<br />\r\n        订单总价：<span class=\"red\">");
templateBuilder.Append(session.cart.total);
templateBuilder.Append("</span>元<br />\r\n        ");
if (session.cart.gold!=0 || session.cart.score!=0)
{

	templateBuilder.Append("赠送:金币");
templateBuilder.Append(session.cart.gold);
templateBuilder.Append(", 积分");
templateBuilder.Append(session.cart.score);
templateBuilder.Append("<br />\r\n        ");
}//end if


if (session.cart.gifts.Count!=0)
{

	templateBuilder.Append("\r\n        您将获得的赠品：<br />\r\n        ");
if (session.cart.gifts != null){ // !null
var gift__loop__id=0;
foreach(cart_gift gift in session.cart.gifts)
{
gift__loop__id++;

	templateBuilder.Append("\r\n        <a href=\"/gift.aspx?id=");
templateBuilder.Append(gift.id);
templateBuilder.Append("\">");
templateBuilder.Append(gift.name);
templateBuilder.Append("(");
templateBuilder.Append(gift.num);
templateBuilder.Append("件)</a><br />\r\n        ");
}//end loop
}//end if


}//end if

	templateBuilder.Append("\r\n        ==填写收货信息==<br />\r\n        *收货人姓名(请填中文):<br />\r\n        <input name=\"name\" type=\"text\" value=\"");
templateBuilder.Append(session.cart.addr.name);
templateBuilder.Append("\" maxlength=\"15\" /><br />\r\n        *收货人地址(请具体到省,市,区(县),门牌号):<br />\r\n        <input name=\"addr\" type=\"text\" value=\"");
templateBuilder.Append(session.cart.addr.addr);
templateBuilder.Append("\" maxlength=\"90\" /><br />\r\n        邮政编码:<br />\r\n        <input name=\"zip\" type=\"text\" value=\"");
templateBuilder.Append(session.cart.addr.zip);
templateBuilder.Append("\" maxlength=\"90\" /><br />\r\n        *您的联系手机(请填数字):<br />\r\n        <input name=\"mobile\" type=\"text\" value=\"");
templateBuilder.Append(session.cart.addr.mobile);
templateBuilder.Append("\" maxlength=\"12\" format=\"*N\" /><br />\r\n        固定电话(请填数字):<br />\r\n        <input name=\"tele\" type=\"text\" id=\"tele\" value=\"");
templateBuilder.Append(session.cart.addr.tele);
templateBuilder.Append("\" maxlength=\"12\" format=\"*N\" /><br />\r\n        订单备注:<br />\r\n        <input name=\"remarks\" type=\"text\" maxlength=\"90\" /><br />\r\n        配送方式：<a href=\"/delivery.aspx?id=");
templateBuilder.Append(session.cart.delivery_id);
templateBuilder.Append("\">");
templateBuilder.Append(session.cart.delivery);
templateBuilder.Append("</a><br />\r\n        <input type=\"submit\" value=\"点击提交订单\" />\r\n        ");
}//end if

	templateBuilder.Append("</p>\r\n</form>\r\n");
	templateBuilder.Append("<p>\r\n    还没账号?免费<a href=\"register.aspx\">注册</a><br />\r\n    和网:waphe.com<a href=\"/help/favor.aspx\">(存书签)</a></p>");

	templateBuilder.Append("\r\n</body>\r\n</html>\r\n");
	Response.Write(templateBuilder.ToString());
}
</script>
